:root {
    --color-accent: #004097; /* ヒロセ電機さんのロゴの色 */
}

main {
    min-height: 50vh;
}

footer {
    padding: 0 2rem;
    margin: 4rem auto 5rem auto;
    max-width: 112rem;
    > h3 {
        font-size: 120%;
    }
    > ul {
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        justify-content: start;
        gap: 2rem;
        > li {
            display: inline-block;
            margin-bottom: 0;
        }
    }
    > p {
        text-align: center;
        font-size: 80%;
        color: var(--color-lightgray);
    }
}

.top-nav-title a {
    color: var(--color-accent);
}
.top-nav-title .envName {
    font-size: 120%;
    color: var(--color-message-error-text);
}

.container nav {
    > ul {
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        justify-content: start;
        gap: 2rem;
        > li {
            display: inline-block;
            margin-bottom: 0;
        }
    }
}

.content {
    margin-bottom: 2rem;
}

table td > p {
    margin: 0.2rem;
}
table td.num {
    text-align: right;
}
div:not(.view.content) > table {
    border-collapse: collapse;
    border: 1px solid var(--color-lightgray);
    th, td {
        border: 1px solid var(--color-lightgray);
        padding: 0.5rem 1rem;
    }
}

.button, button, input[type='button'], input[type='reset'], input[type='submit'] {
    background-color: var(--color-accent);
    border-color: var(--color-accent);
    font-size: 1.8rem;
}

fieldset {
    border: 1px solid var(--color-lightgray);
    border-radius: 4px;
    padding: 1rem;
    > legend {
        font-size: 160%;
        padding: 0 0.3rem;
    }
}
fieldset.searchForm form div.input {
    display: inline-block;
    margin: 0.5rem 2rem 2rem 2rem;
    > input, select {
        width: 26rem;
    }
}

div.related {
    border: 1px solid var(--color-lightgray);
    border-radius: 4px;
    padding: 1rem;
    > h4:first-child {
        font-size: 160%;
        padding: 0 0.3rem;
    }
}

.filter-item {
    > ul {
        list-style: none;
        > li {
            display: inline-block;
            margin: 0.5rem 1rem;
            padding: 0.5rem 1rem;
            border: 1px solid #c0c0c0;
            border-radius: 4px;
            cursor: pointer;
        }
        > li:hover {
            background-color: #ffffc0;;
        }
    }
}
